### Method

# Snapd Connection get_snap

deprecated: 1.48 since: 1.0

#### Declaration [src]

    const gchar*
    snapd_connection_get_snap (
      SnapdConnection* connection
    )

#### Description [src]

Get the snap this connection is on.

Available since: 1.0

Deprecated since: 1.48

Use `snapd_plug_ref_get_snap()` or snapd_slot_ref_get_snap().

Gets property | `Snapd.Connection:snap`

#### Return value

Type: `const gchar*`

A snap name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.